(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8001,        211]
NotebookOptionsPosition[      7452,        186]
NotebookOutlinePosition[      7808,        202]
CellTagsIndexPosition[      7765,        199]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"g", "=", "1"}], ";", 
  RowBox[{"k", "=", "0.001"}], ";", 
  RowBox[{"f", "=", "0.1"}], ";", 
  RowBox[{"p", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"n", "'"}], "[", "t", "]"}], "\[Equal]", 
       RowBox[{"k", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p", "/", "k"}], "-", 
          RowBox[{"f", "/", "g"}], "-", 
          RowBox[{"n", "[", "t", "]"}]}], ")"}], "g", " ", 
        RowBox[{
         RowBox[{"n", "[", "t", "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"f", "+", 
           RowBox[{"g", " ", 
            RowBox[{"n", "[", "t", "]"}]}]}], ")"}]}]}]}], ",", 
      RowBox[{
       RowBox[{"n", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", "n", 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5429994453475943`*^9, 3.5429995841497593`*^9}, {
  3.542999633781743*^9, 3.542999686635079*^9}, {3.54299973105816*^9, 
  3.542999731513623*^9}, {3.542999904688205*^9, 3.542999905900344*^9}, {
  3.54299996790382*^9, 3.5429999921865797`*^9}, {3.5430000237155523`*^9, 
  3.543000122774791*^9}, {3.543000199341236*^9, 3.543000267034775*^9}, {
  3.5430005107415743`*^9, 3.543000528963344*^9}, {3.54300058322725*^9, 
  3.5430006208640337`*^9}, {3.5430006801519613`*^9, 3.5430006804066563`*^9}, {
  3.5430016213762074`*^9, 3.543001629420512*^9}, {3.54300167271481*^9, 
  3.543001686130554*^9}, {3.543001748552844*^9, 3.543001870414413*^9}, {
  3.54300190241394*^9, 3.543001953371542*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"n", "\[Rule]", 
    TagBox[
     RowBox[{"InterpolatingFunction", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"0.`", ",", "100.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
      "]"}],
     False,
     Editable->False]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.542999585835606*^9, {3.5429996342227163`*^9, 3.542999687387866*^9}, 
   3.542999731950272*^9, 3.5429999064101143`*^9, {3.542999968589089*^9, 
   3.542999992687127*^9}, {3.543000024120051*^9, 3.5430001231983433`*^9}, {
   3.543000246969149*^9, 3.543000271507173*^9}, 3.54300033060148*^9, {
   3.543000511969447*^9, 3.543000529460656*^9}, {3.543000584125042*^9, 
   3.5430006212185583`*^9}, 3.543000680925984*^9, {3.543001623084168*^9, 
   3.543001629742655*^9}, {3.543001673337893*^9, 3.543001686586699*^9}, {
   3.543001749515821*^9, 3.543001870897798*^9}, {3.543001903046795*^9, 
   3.5430019536338453`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "[", "t", "]"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"t", ",", "Large", ",", "Bold"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"n", ",", "Large", ",", "Bold"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Large", ",", "Bold"}], "]"}]}], ",", 
   RowBox[{"PlotStyle", "->", "Thick"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5429995887063293`*^9, 3.542999624625784*^9}, {
  3.5429996913445377`*^9, 3.542999691648418*^9}, {3.5429999102669077`*^9, 
  3.5430000101110992`*^9}, {3.5430000402632103`*^9, 3.543000045839241*^9}, {
  3.543000263361422*^9, 3.5430003445503807`*^9}, {3.5430003761359673`*^9, 
  3.543000383533847*^9}, {3.543000419358897*^9, 3.5430004979517603`*^9}, {
  3.54300062672892*^9, 3.5430006984064283`*^9}, {3.543001878254208*^9, 
  3.543001913085697*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwVkns0lAkARwdFNnOQVowJUatRrfF+xfczHt/k/Yov4rQK412MqKaW7IYI
UWg9C7E6h4jKFoMtlnRE7aF0QknaHl5poh2z7R/33HP/v1tC4rxDpWk0mts3
/rdOrriqXLPL1vXz0S802hxxax1LK4ZXQYSapt6RsZwjupIbqrfzGgmpznQ1
tfg5ood9JFyWJyT8BjOk+FNzxF/Zw9yl8EHCIcLY+UPfPNFnldb2PnycCNRP
X1dctEj0nx87MhM+S5jj18Tn1iLCuV3OfTpcQlgtu3jUla0SD+lm8muClECb
vDVTFycHTq5jZ62HGqQj+InKDEWEGqzQDenaaAt7WgEfFbixQudVya0QCpNq
amM2ofnJycQ+i+0QqJmuH+FowHqDfuOan3fCMNaSSUZqIfxrflkNxUZb1nvl
uY4tiOt5Y9zoZoRaZuEL1xpdnA2Q3SaONgF/cDKf1bINB3tPhBnyzHBXbaos
tkIPXXLqXlH7LBAmNxoak8KCoXJK4Vu+FSRTNzvyM3fgwKLNTvfo3Uiefl2w
OW4XLpffZ4rO2YLNkBUVCQxwI8dqbNgbqBTGtz8QssH/w8azzNUOgQYtI2cb
DSHsr1nIDOQgQaamSvuGESJIy/YIyh75qj3Gq9XGKK0zbI2KdABOTGn+Vm+C
84vtqYeTHLHTvilFVG+K6frEo7x4JwycMHVtvmSGe075xadPk1h+pUHSS80h
5fHsZW4KFzOLFcFD2Rag2d2Uqjy2B+oTXLPYZEtkbBK5Dac7I+fruqKcJCsc
DjjYLUpzwd8Ks9HsUGtMppocIi66os+2o9M2bDc2Flx6lnnZDXTW2lKNEBtc
VdI/1lvijtZdd18VuNqiK17LUe+aB2ajLOT3OxMo165k2vh6oqVqPi1MA2gX
rNB4jzwhPT/aoJILbHGR+1fX3wv3NQWfAxTs0DLIynr6xAsyTwqEMql2yO5Z
ZWsHeeN2XVGQtcQOBQlvIw88/9bFq9FjfA4E32sq6uzzwaepBbulNxz8zlrb
z5/wwRLhZ5R3yB6yn6TUu4J9cbKV8aFy1B617KZT5W98cTNfJUPPzwGskHp3
ccxeFL5qb9AdcsDYnrbmve/2YmBmJaDK3hHDVcd3EQl+CP6gK5MldMSXG167
dRb8YON8zkJs5ATJ7fjWM7H+aOrXl1+scoIL28lRsOQP87Vd++01SfQGGURE
JVBY7eZU78gjseEg705ZIgV+ROSfevkkgnmX6Y+SKEz3m7zQvUDic7xKs4mA
woXHTbLMYhJbM0Qr4l8obM5x01WoJJHSLMzOK6QgNlfKetdIwkrO83prG4XK
8emNtYMkzihkSs/coTAmiau7MkRiSLnbl9FB4WNqqXn5YxI8psnyqW4KxzvH
uRdHSBQZqnG4Dyiw2xTN08ZJfAqcePzsOQUmi8EJniWBn9R/oI9TqBkdy903
TyIrzDuZmKRw1Mbuqe8iCZ0j95jVrykMWIuCXUQkvM7UhcZ8pOBSpmRmISFR
mjV5q2KOgmrm3AFjqW8f5jG+G16g8NKHn/6jDBcpJdkNZiIKviXhvVvluBio
vE+LWKbA0xmZ0JLnYtPVVe+SrxT8y/5ZYqznIuSaec1DMQVK+YqsKp2LhuuH
RRIJheo08QZlRS7+A4oJJb8=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox[
     StyleBox["t", Large, Bold, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox["n", Large, Bold, StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->{494., Automatic},
  LabelStyle->Directive[Large, Bold],
  PlotRange->{{0, 100}, {0, 100}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.5430004652747393`*^9, 3.543000531912785*^9}, {
  3.54300058593006*^9, 3.543000623019246*^9}, {3.543000655510241*^9, 
  3.543000698758123*^9}, {3.543001625015999*^9, 3.5430016318897123`*^9}, {
  3.543001675551278*^9, 3.543001688172689*^9}, {3.5430017517257633`*^9, 
  3.543001813037188*^9}, {3.5430018493272533`*^9, 3.543001955337631*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"0.001", "*", "0.1"}]], "Input",
 CellChangeTimes->{{3.543001860550803*^9, 3.54300186449189*^9}}],

Cell[BoxData["0.0001`"], "Output",
 CellChangeTimes->{3.543001864945161*^9}]
}, Open  ]]
},
WindowSize->{1280, 752},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 1677, 40, 43, "Input"],
Cell[2259, 64, 971, 22, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3267, 91, 1303, 31, 43, "Input"],
Cell[4573, 124, 2627, 49, 342, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7237, 178, 120, 2, 27, "Input"],
Cell[7360, 182, 76, 1, 27, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
